// DlgOpt.cpp : implementation file
//

#include "stdafx.h"
#include "Lines.h"
#include "DlgOpt.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMDlgOptions dialog


CMDlgOptions::CMDlgOptions(CWnd* pParent /*=NULL*/)
	: CDialog(CMDlgOptions::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMDlgOptions)
	m_nGridWidth = 6;
	m_bP1Type = 1;
	m_bP2Type = 0;
	m_nGridHeight = 4;
	m_bForceSquareCells = FALSE;
	//}}AFX_DATA_INIT
}


void CMDlgOptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMDlgOptions)
	DDX_Text(pDX, IDC_EDIT_GRID_WIDTH, m_nGridWidth);
	DDV_MinMaxUInt(pDX, m_nGridWidth, 1, 15);
	DDX_Radio(pDX, IDC_RADIO_P1, m_bP1Type);
	DDX_Radio(pDX, IDC_RADIO_P2, m_bP2Type);
	DDX_Text(pDX, IDC_EDIT_GRID_HEIGHT, m_nGridHeight);
	DDV_MinMaxUInt(pDX, m_nGridHeight, 1, 15);
	DDX_Check(pDX, IDC_CHECK1, m_bForceSquareCells);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMDlgOptions, CDialog)
	//{{AFX_MSG_MAP(CMDlgOptions)
	ON_EN_VSCROLL(IDC_EDIT_GRID_WIDTH, OnVscrollEditGridWidth)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMDlgOptions message handlers

void CMDlgOptions::OnVscrollEditGridWidth() 
{
	// TODO: Add your control notification handler code here
	
}
