// MColorDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MColorDlg dialog


#ifndef __MCOLORDLG__
#define __MCOLORDLG__

#include "Colors.h"


class MColorDlg : public CDialog
{

public:
	void ChooseColor(COLORREF* color);
	CMColors m_colOriginal;
	CMColors *m_colCurrent;
	
	COLORREF m_colLastBackground;
	
// Construction
public:
	MColorDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(MColorDlg)
	enum { IDD = IDD_DIALOG_COLOR };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MColorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MColorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBackgroundcolor();
	afx_msg void OnClose();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnPreview();
	afx_msg void OnPlayer1();
	afx_msg void OnPlayer2();
	afx_msg void OnUnchecked();
	afx_msg void OnNodeFrame();
	afx_msg void OnNodeFill();
	afx_msg void OnDefault();
	afx_msg void OnLine();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif
